<template>
  <a-card :bordered="false" title="培训详情">
    <template slot="extra">
      <a-button size="small" @click="close">返回</a-button>
    </template>

    <div class="table-page-search-wrapper">
      <SearchCom :form="queryParam" :list="queryOptions" @search="handleRefresh" @reset="() => {queryParam = {}, handleRefresh()}"></SearchCom>
    </div>
    <s-table ref="table" size="small" rowKey="id" :columns="columns" :data="loadData"></s-table>
  </a-card>
</template>

<script>
import { STable, SearchCom } from '@/components'
import { getArchivesProjectUserCourseList } from '@/api/archives/project'

export default {
  // import引入的组件需要注入到对象中才能使用
  components: { STable, SearchCom },
  props: {},
  data() {
    // 这里存放数据
    return {
      queryParam: { courseName: '' },
      columns: [
        { title: '课程名称', width: 'auto', align: 'center', dataIndex: 'courseName', key: 'name' },
        { title: '应修学时', width: '100px', align: 'center', dataIndex: 'mustClassHour', key: 'mustClassHour' },
        { title: '已修学时', width: '100px', align: 'center', dataIndex: 'alreadyClassHour', key: 'alreadyClassHour' },
        { title: '总题量', width: '80px', align: 'center', dataIndex: 'addUpExercises', key: 'addUpExercises' },
        { title: '已答题量', width: '100px', align: 'center', dataIndex: 'alreadyExercises', key: 'alreadyExercises' },
        { title: '答对题量', width: '90px', align: 'center', dataIndex: 'yesExercises', key: 'yesExercises' },
        { title: '答对正确率', width: '90px', align: 'center', dataIndex: 'yesTopic', key: 'yesTopic' },
        {
          title: '完成状态', width: '80px', align: 'center', dataIndex: 'finishState', key: 'finishState', customRender: (text, record, index) => {
            // 完成状态 0-未完成 1-已完成
            if (text == 0) return '未完成'; else if (text == 1) return '已完成';
          }
        }
      ],
      loadData: parameter => {
        this.queryParam.projectId = this.$route.query.projectId;
        this.queryParam.userId = this.$route.query.userId;
        return getArchivesProjectUserCourseList(Object.assign(parameter, this.queryParam)).then(res => { return res });
      },
    };
  },
  // 计算属性 类似于data概念
  computed: {
    queryOptions: function () {
      return [
        { type: 'input', placeholder: '课程名称', key: 'courseName' }
      ]
    }
  },
  // 监控data中的数据变化
  watch: {},
  // 方法集合
  methods: {
    // 返回 按钮
    close() {
      this.$router.push({
        path: '/archives/project/ProjectUser', query: {
          queryParamState: this.$route.query.queryParamState,
          queryParamUserName: this.$route.query.queryParamUserName,
          pageNum1: this.$route.query.pageNum1,

          queryParamTrainClass: this.$route.query.queryParamTrainClass,
          queryParamTrainWay: this.$route.query.queryParamTrainWay,
          queryParamProjectName: this.$route.query.queryParamProjectName,
          pageNum: this.$route.query.pageNum
        }
      });
    },

    handleRefresh() {
      this.$refs.table.refresh(true)
    },

  },
  // 生命周期 - 创建完成（可以访问当前this实例）
  created() { },
  // 生命周期 - 挂载完成（可以访问DOM元素）
  mounted() { },
  // 生命周期 - 创建之前
  beforeCreate() { },
  // 生命周期 - 挂载之前
  beforeMount() { },
  // 生命周期 - 更新之前
  beforeUpdate() { },
  // 生命周期 - 更新之后
  updated() { },
  // 生命周期 - 销毁之前
  beforeDestroy() { },
  // 生命周期 - 销毁完成
  destroyed() { },
  // 如果页面有keep-alive缓存功能，这个函数会触发
  activated() { }
};

</script>
<style scoped>
</style>